Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjava.security
Class InvalidKeyFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--xjava.security.GeneralSecurityException
                        |
                        +--xjava.security.InvalidKeyFormatException

public class InvalidKeyFormatException
extends GeneralSecurityException

InvalidKeyFormatException is thrown when a key format is not recognized. (Current valid formats for the "SUN" provider include "X.509", "PKCS#8", "RAW-BigInteger", and "RAW-DER".)

This class is documented in JavaSoft's preview APIs, for introduction in Java 1.2.

$Revision: 1.2 $

Since:
  IJCE 1.0.1
Author:
  David Hopwood
See Also:
  Serialized Form

Constructor Summary
`InvalidKeyFormatException()` Constructs an InvalidKeyFormatException without any detail message.
`InvalidKeyFormatException(java.lang.String msg)` Constructs an InvalidKeyFormatException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidKeyFormatException

    public InvalidKeyFormatException()

  Constructs an InvalidKeyFormatException without any detail message.

### InvalidKeyFormatException

    public InvalidKeyFormatException(java.lang.String msg)

  Constructs an InvalidKeyFormatException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.